<template>
  <div class="mainPage">
    <div
      v-if="$config.siteWarning"
      class="stub-warning">
      <span v-html="$config.siteWarning"/>
    </div>

    <section class="gaTop grid-top">
      <div class="gaTop-logo area-logo">
        <flink
          href="/"
          domain="main">
          <div class="logo">
            <span class="logo-img">
              <img
                svg-inline
                src="~/assets/svg/redesign/logo-main.svg">
            </span>
            <span class="logo-caption">
              Найдётся всё для вашего авто
            </span>
          </div>
        </flink>

        <div class="partitionSwitch">
          <flink
            href="/"
            domain="main"
            class="partitionSwitch-item"
            :class="{'-active': navigation === 'parts'}"
            @click.native="$ga('Zap','Click18')">
            Запчасти
          </flink>
          <flink
            href="/"
            domain="sto"
            class="partitionSwitch-item"
            :class="{'-active': domain === $config.domains.sto }"
            @click.native="$ga('STO','Click19')">
            Автотехцентры
          </flink>
        </div>
      </div>

      <div class="gaTop-menu area-menu">
        <div
          v-scroll-lock="scrollable"
          class="menu"
          :class="{'-open': hasOpenMenu}">
          <div class="menu-items _top">
            <AppButton
              :classes="['burgerMenu', '_transparent', '_none-round']"
              @click.native="openMenuFixBody">
              <span
                slot="button-item"
                class="button-item">
                <img
                  v-if="!hasOpenMenu"
                  svg-inline
                  src="assets/svg/redesign/burger.svg">
                <img
                  v-if="hasOpenMenu"
                  svg-inline
                  src="assets/svg/redesign/cross-bold.svg">
              </span>
            </AppButton>
            <flink
              href="/"
              domain="main">
              <div class="logo">
                <span class="logo-img">
                  <img
                    svg-inline
                    src="~/assets/svg/redesign/logo-main.svg">
                </span>
              </div>
            </flink>
            <button
              v-if="hasOpenMenu"
              @click="showLocationModal()"
              class="button _transparent buttonLocation">
              <template v-if="!locationAutoDetected">
                <img
                  svg-inline
                  src="~/assets/svg/redesign/location-mobile.svg">
                <span>{{ locationSelected ? location.name : 'Все страны' }}</span>
              </template>
              <template v-else>
                <span>
                  <img
                    svg-inline
                    src="~/assets/svg/redesign/location-mobile.svg">
                  <span class="button-label">{{ location.name }}</span>
                </span>
              </template>
            </button>
            <div
              class="partitionSwitch"
              v-show="hasOpenMenu">
              <flink
                href="/"
                domain="main"
                class="partitionSwitch-item"
                :class="{ '-active': navigation === 'parts'}"
                @click.native="$ga('Zap','Click18')">
                <img
                  svg-inline
                  src="~/assets/svg/redesign/navigation-parts.svg">
                Запчасти
              </flink>
              <flink
                href="/"
                domain="sto"
                class="partitionSwitch-item"
                :class="{ '-active': domain === $config.domains.sto }"
                @click.native="$ga('STO','Click19')">
                <img
                  svg-inline
                  src="~/assets/svg/redesign/navigation-sto.svg">
                Автотехцентры
              </flink>
              <flink
                href="/"
                domain="helper"
                class="partitionSwitch-item"
                :class="{ '-active': domain === $config.domains.helper }">
                <img
                  svg-inline
                  src="~/assets/svg/redesign/navigation-concierge.svg">
                Автоконсьерж
              </flink>
            </div>
          </div>
          <div class="menu-items">
            <ul
              v-if="sections"
              class="menu-grid"
              :class="{'_column': hasOpenMenu}">
              <!-- @todo проверить работу функционала-->
              <!-- до этого в некоторых пунктах меню active-class проставлялся через  -->
              <!-- :class="{ active: $route.path.startsWith('/wheels') }" -->
              <!-- или -->
              <!-- :class="{ active: $route.path.startsWith('/faq/') }" -->
              <template v-for="(section, index) in sections">
                <li
                  v-if="!isSparePartsCatalogs(section)"
                  class="menu-grid-item"
                  :key="index"
                  :class="{'_categories': isPartsCategories(section)}">
                  <flink
                    :href="section.href"
                    active-class="-active"
                    exact-active-class="-active"
                    :domain="section.domain"
                    @click.native.prevent="disableFixBody">
                    <!-- :class="{'-active': indexActiveSection === index}" -->
                    <span class="menu-section">
                      {{ section.title }}
                    </span>
                  </flink>
                </li>
                <li
                  :key="index"
                  v-click-outside="onClickOutsideHeaderSubmenu"
                  class="menu-grid-item _catalogs"
                  :class="{ '-opened': headerSubMenuShow }"
                  v-else>
                  <span
                    @click="toggleHeaderSubMenuShow(section)"
                    class="menu-section">
                    {{ section.title }}
                    <img
                      svg-inline
                      src="~/assets/svg/redesign/button-arrow-down.svg">
                  </span>
                  <PartsCatalogs/>
                </li>
              </template>
            </ul>

          </div>
          <div class="menu-items _bottom">
            <!--            TODO: Нет страницы Корзина-->
            <!--            <AppCart :cart="cart"/>-->
            <footer
              class="menu-footer"
              v-show="hasOpenMenu">

              <!-- кнопка загрузки прайса -->
              <!-- <AddPriceButton
                :auth="auth"
                @showAuthModal="showAuthModal"/>-->

              <div class="menu-footer-options">
                <!--         Выбор валюты     -->
                <!-- Нет такого функционала -->
                <!--
                <AppButton
                  :classes="['_none-round', '_transparent', 'buttonLogin', '__fluid']"
                  @click.native="login(); $ga('Enter','Click17'); $ym('enter')">
                  <span
                    slot="button-item"
                    class="button-item">
                    RUB
                  </span>
                </AppButton>
                -->
                <!-- Авторизированный пользователь -->
                <!-- mobile -->
                <AppUserActions
                  :auth="auth"
                  @login="login(); $ga('Enter','Click17'); $ym('enter')"
                  @logout="logout"/>
              </div>
            </footer>
          </div>
        </div>
      </div>

      <div class="gaTop-actions area-actions">
        <!-- группа кнопок: локация + вход + корзина -->
        <div class="gaTop-actions-group">
          <!--определение локации-->
          <AppButton
            :classes="['buttonLocation', '_none-round', '_transparent',]"
            @click.native="showLocationModal(); $ga('Contry','Click13'); $ym('search_city')">
            <!--            TODO: Необходим рефакторинг этого блока-->
            <span
              slot="button-item"
              class="button-item">
              <img
                v-if="!locationAutoDetected"
                svg-inline
                src="~/assets/svg/redesign/location.svg">
              <img
                v-if="!locationAutoDetected"
                svg-inline
                src="~/assets/svg/redesign/location-mobile.svg">
              <template v-if="!locationAutoDetected">
                <span class="button-label">{{ locationSelected ? location.name : 'Все страны' }}</span>
              </template>
              <template v-else>
                <AppPopover
                  v-if="locationSelected"
                  :options="tooltipLocationpOptions"
                  @apply-hide="disableAutoDetectLocation">
                  <span
                    slot="tooltip-trigger"
                    class="text">
                    <img
                      svg-inline
                      src="~/assets/svg/redesign/location.svg">
                    <img
                      svg-inline
                      src="~/assets/svg/redesign/location-mobile.svg">
                    <span class="button-label">{{ location.name }}</span>
                  </span>
                  <template slot="tooltip-content">
                    <no-ssr>
                      <span class="tooltip-text">Ваш город {{ location.name }}?</span>
                      <button
                        class="button"
                        v-close-popover>Да
                      </button>
                      <button
                        class="button buttonOutline"
                        @click="showLocationModal()"
                        v-close-popover>Изменить
                      </button>
                    </no-ssr>
                  </template>
                </AppPopover>
                <AppPopover
                  v-else
                  :options="tooltipLocationpOptions"
                  :open="locationAutoDetected"
                  @apply-hide="onHideCityNotFoundTooltip">
                  <span
                    slot="tooltip-trigger"
                    class="text">
                    <img
                      svg-inline
                      src="~/assets/svg/redesign/location.svg">
                    <img
                      svg-inline
                      src="~/assets/svg/redesign/location-mobile.svg">
                    <span class="button-label">Все страны</span>
                  </span>
                  <template slot="tooltip-content">
                    <no-ssr>
                      <div class="paragraph">Мы не смогли определить ваш город автоматически.</div>
                      <button
                        class="button buttonOutline"
                        @click="showLocationModal()"
                        v-close-popover>Выберите город
                      </button>
                    </no-ssr>
                  </template>
                </AppPopover>
              </template>
            </span>
          </AppButton>

          <!--вход в аккаунт-->
          <!-- Десктоп -->
          <AppUserActions
            @login="login(); $ga('Enter','Click17'); $ym('enter')"
            container=".gaTop-actions-group .user-actions-popover-wrapper"
            @logout="logout"
            :auth="auth"/>

            <!--TODO: Нет страницы Корзина-->
            <!--          <AppCart-->
            <!--            :is-index="true"-->
            <!--            :cart="cart"/>-->
        </div>

        <!-- кнопка загрузки прайса -->
        <AddPriceButton
          class="buttonPrice"
          :auth="auth"
          @showAuthModal="showAuthModal"/>
      </div>

      <div class="gaTop-content area-content">
        <div class="gaTop-heading">
          <h1 class="heading _h1">Маркетплейс автозапчастей</h1>
          <h2 class="heading _h2">Все продавцы автотоваров на одном портале</h2>
        </div>

        <div
          v-if="!isMobile()"
          class="gaTop-forms">
          <ul class="tabsForms">
            <li class="tabsForms-item">
              <button
                class="tabsForms-button"
                :class="{'-active': isActiveTab('originals')}"
                @click="onChangeTab('originals')">
                Поиск по номеру
              </button>
            </li>
            <li class="tabsForms-item">
              <button
                class="tabsForms-button"
                :class="{'-active': isActiveTab('analogs')}"
                @click="onChangeTab('analogs'); $ym('home_kz_open')">
                Контрактные запчасти
              </button>
            </li>
            <li class="tabsForms-item">
              <button
                class="tabsForms-button"
                :class="{'-active': isActiveTab('request')}"
                @click="onChangeTab('request'); $ym('home_vinrequest_open')">
                VIN-запрос
              </button>
            </li>
          </ul>

          <div
            v-show="isActiveTab('originals')"
            class="formPanel _originals">
            <AppSearch/>
          </div>

          <div
            v-show="isActiveTab('analogs')"
            class="formPanel _analogs">
            <div class="formPanel-item">
              <div class="selectGroup">
                <AppSelect
                  :value="doFiltersModel.carManufacturer"
                  :options="doFiltersValues.carManufacturer"
                  id="carManufacturer"
                  @select="doFilterChange"
                  @clear="doFilterClear('carManufacturer')"
                  track-by="id"
                  :disabled="!doFiltersValues.carManufacturer.length"
                  placeholder="Марка авто*"
                  :classes="['_car', 'multiselectThemeHome']"/>
                <AppSelect
                  :value="doFiltersModel.carModel"
                  :options="doFiltersValues.carModel"
                  id="carModel"
                  @select="doFilterChange"
                  @clear="doFilterClear('carModel')"
                  track-by="id"
                  :disabled="!(doFiltersModel.carManufacturer && doFiltersValues.carModel.length)"
                  placeholder="Модель авто*"
                  :classes="['_car', 'multiselectThemeHome']"/>
                <AppSelect
                  :value="doFiltersModel.yearsList"
                  :options="doFiltersValues.yearsList"
                  id="yearsList"
                  @select="doFilterChange"
                  @clear="doFilterClear('yearsList')"
                  label="id"
                  track-by="id"
                  :disabled="!(doFiltersModel.carManufacturer
                  && doFiltersModel.carModel && doFiltersValues.yearsList.length)"
                  placeholder="Год выпуска*"
                  :classes="['_car-enlarged', 'multiselectThemeHome']">
                  <template
                    slot="option"
                    slot-scope="{ option: { id } }">
                    <div class="option__desc">
                      <span class="option__title">{{ id }}</span>
                    </div>
                  </template>
                </AppSelect>
                <AppSelect
                  :value="doFiltersModel.chassisList"
                  :options="doFiltersValues.chassisList"
                  id="chassisList"
                  @select="doFilterChange"
                  @clear="doFilterClear('chassisList')"
                  track-by="id"
                  :disabled="!(doFiltersModel.carManufacturer
                  && doFiltersModel.carModel && doFiltersValues.chassisList.length)"
                  placeholder="Кузов"
                  :classes="['_car', 'multiselectThemeHome']"/>
                <AppSelect
                  :value="doFiltersModel.enginesList"
                  :options="doFiltersValues.enginesList"
                  @select="doFilterChange"
                  @clear="doFilterClear('enginesList')"
                  id="enginesList"
                  track-by="id"
                  :disabled="!(doFiltersModel.carManufacturer
                  && doFiltersModel.carModel && doFiltersValues.enginesList.length)"
                  placeholder="Двигатель"
                  :classes="['_car-enlarged', 'multiselectThemeHome']"/>
              </div>
            </div>

            <div class="formPanel-item">
              <AppCheckbox
                :checked="doFiltersModel.imagesPresence === ref.ImagesPresence.IMAGES_PRESENT"
                @change="onChangeDoImagesPresence">
                <template #label>Только с фото</template>
              </AppCheckbox>
              <AppRadioGroup
                name="doMerchantType"
                :list="[
                  { value: ref.MerchantType.MERCHANT_ANY, label: 'все' },
                  { value: ref.MerchantType.MERCHANT_SHOP, label: 'от компаний' },
                  { value: ref.MerchantType.MERCHANT_PERSON, label: 'от частных лиц' },
                ]"
                v-model="doFiltersModel.merchantType">
                <template #title>Тип объявления:</template>
              </AppRadioGroup>
            </div>

            <div class="formPanel-item">
              <AppSearchDo
                v-model="doFiltersModel.text"
                @search="doSearch(); $ym('home_kz_search')"
                class="_home-analogs">
                <template #additional-slot>
                  <AppSelect
                    v-model="doFiltersModel.city"
                    :options="doFiltersValues.city"
                    track-by="id"
                    placeholder="Город"
                    :classes="['_city', 'multiselectThemeHome']"/>
                </template>
              </AppSearchDo>
            </div>
          </div>

          <div
            v-show="isActiveTab('request')"
            class="formPanel _request">
            <div class="formPanel-item">
              <div class="selectGroup">
                <AppSelect
                  v-model="manufacturer"
                  :options="carManufacturerValues"
                  placeholder="Марка авто*"
                  :classes="['_car', 'multiselectThemeHome']"/>
                <AppSelect
                  placeholder="Модель авто*"
                  v-model="model"
                  :disabled="!manufacturer"
                  :options="modelValues"
                  :classes="['_car', 'multiselectThemeHome']"/>
                <AppSelect
                  placeholder="Год выпуска*"
                  :options="yearsRange"
                  v-model="year"
                  :disabled="!(manufacturer && model && yearsRange.length)"
                  :classes="['_car-enlarged', 'multiselectThemeHome']"/>
                <div
                  class="input">
                  <input
                    v-model="vin"
                    class="input-field"
                    type="text"
                    placeholder="VIN или FRAME номер вашего авто">
                </div>
              </div>
              <AppTooltipVinExample :classes="['_main-page']"/>
            </div>

            <div class="formPanel-item">
              <AppSearchVin
                v-model="partName"
                @search="vinQuery(); $ym('home_vinrequest_sent')"
                class="_home-vin-request"/>
            </div>

            <div class="formPanel-item">
              <span
                @click="vinQuery(); $ym('home_vinrequest_part_add')"
                class="link">
                <img
                  svg-inline
                  src="~/assets/svg/redesign/count-plus.svg">
                Добавить ещё запчасть
              </span>
            </div>
          </div>
        </div>

        <div class="gaTop-menuMobile">
          <div class="menuMobile">
            <flink
              href="/poisk-po-nomeru"
              domain="main"
              class="menuMobile-item">
              <img
                svg-inline
                src="~/assets/svg/redesign/home-mobile-nav-origin.svg">
              <span class="menuMobile-name">Поиск по номеру</span>
            </flink>
            <flink
              href="/do/part"
              domain="main"
              class="menuMobile-item">
              <img
                svg-inline
                src="~/assets/svg/redesign/home-mobile-nav-contract.svg">
              <span class="menuMobile-name">Контрактные (б/у) запчасти</span>
            </flink>
            <flink
              href="/categories"
              domain="main"
              class="menuMobile-item">
              <img
                svg-inline
                src="~/assets/svg/redesign/home-mobile-nav-catalog.svg">
              <span class="menuMobile-name">Каталоги</span>
            </flink>
            <flink
              href="/tyres"
              domain="main"
              class="menuMobile-item">
              <img
                svg-inline
                src="~/assets/svg/redesign/home-mobile-nav-tyres.svg">
              <span class="menuMobile-name">Шины и диски</span>
            </flink>
            <flink
              href="/request-to-spare"
              domain="main"
              class="menuMobile-item">
              <img
                svg-inline
                src="~/assets/svg/redesign/home-mobile-nav-vin.svg">
              <span class="menuMobile-name">VIN-запрос</span>
            </flink>
          </div>
        </div>
      </div>

      <div class="gaTop-numbers area-numbers">
        <div class="factsNumbers">
          <div class="factsNumbers-item">
            <div class="factsNumbers-img">
              <img
                svg-inline
                src="~/assets/svg/redesign/numbers-city.svg">
            </div>
            <div>
              <span class="factsNumbers-number">{{ citiesTotal | spacifyNumber }}</span>
              <span>{{ citiesTotal | transChoose(['Город', 'Города', 'Городов']) }}</span>
            </div>
          </div>
          <div class="factsNumbers-item">
            <div class="factsNumbers-img">
              <img
                svg-inline
                src="~/assets/svg/redesign/numbers-offer.svg">
            </div>
            <div>
              <span class="factsNumbers-number">{{ itemsTotal | spacifyNumber }}</span>
              <span>{{ itemsTotal | transChoose(['Предложение', 'Предложения', 'Предложений']) }}</span>
            </div>
          </div>
          <div class="factsNumbers-item">
            <div class="factsNumbers-img">
              <img
                svg-inline
                src="~/assets/svg/redesign/numbers-seller.svg">
            </div>
            <div>
              <span class="factsNumbers-number">{{ sellersTotal | spacifyNumber }}</span>
              <span>{{ sellersTotal | transChoose(['Продавец', 'Продавца', 'Продавцов']) }}</span>
            </div>
          </div>
        </div>
      </div>
    </section>

    <section
      v-if="!isMobile()"
      class="gaCatalogs">
      <h2 class="heading _h1">Каталоги запчастей</h2>
      <div class="gaCatalogs-list">
        <flink
          href="/catalog/oem"
          class="gaCatalogs-list-item __box-blue">
          <img
            svg-inline
            src="~/assets/svg/redesign/home-origin-image.svg">
          <div class="gaCatalogs-list-name">
            ОРИГИНАЛЬНЫЕ КАТАЛОГИ
          </div>
        </flink>
        <flink
          href="/catalog/am"
          class="gaCatalogs-list-item __box-gray">
          <img
            svg-inline
            src="~/assets/svg/redesign/home-analog-image.svg">
          <div class="gaCatalogs-list-name">
            КАТАЛОГИ ЗАМЕНИТЕЛЕЙ
          </div>
        </flink>
      </div>
      <flink href="/catalog">
        <AppButton
          :classes="['buttonLight']">
          <span
            slot="button-item"
            class="button-item">
            Перейти в каталоги по авто
            <img
              svg-inline
              src="~/assets/svg/redesign/button-arrow-right.svg">
          </span>
        </AppButton>
      </flink>
    </section>

    <section
      v-if="!isMobile()"
      class="gaCategories">
      <Carousel
        :items-to-show="3"
        :items-to-slide="1"
        :infinite-scroll="true"
        :entities="ppkTree"
        :controls-class="'_circle'">
        <flink
          :href="`/categories/${entity.slug}`"
          class="gaCategories-item"
          :class="`id${entity.id}`"
          slot="entity"
          slot-scope="{ entity }">
          <span class="gaCategories-item-shadow"/>
          <span class="gaCategories-item-name">{{ entity.name }}</span>
        </flink>
        <img
          slot="prev"
          svg-inline
          src="~/assets/svg/redesign/select-arrow-down.svg">
        <img
          slot="next"
          svg-inline
          src="~/assets/svg/redesign/select-arrow-down.svg">
      </Carousel>
    </section>

    <section
      v-if="false && !isMobile()"
      class="gaTopBlocks">
      <div class="topSellers __box-gray">
        <h2 class="heading _h2">Новые продавцы</h2>
        <ul class="topSellers-list">
          <li
            v-for="(item, index) in 3"
            :key="`top-${index}`"
            class="topSellers-item">
            <div class="topSellers-name">
              <flink
                href="#"
                class="link">
                АДАМС-МОТОРС - {{ item }}
              </flink>
              <span>Санкт-Петербург, ул. Вокзальная, д. 99</span>
            </div>
            <div class="topSellers-logo">
              <div class="picture">
                <img
                  src="~/assets/images/tmp/seller.png"
                  alt="">
              </div>
            </div>
          </li>
        </ul>
        <AppButton :classes="['_blue']">
          <template #button-item>Добавить свою компанию</template>
        </AppButton>
      </div>

      <div class="topOffers">
        <div class="topOffers-title">
          <h2 class="heading _h2">Свежие объявления</h2>
          <flink
            href="#"
            class="link _add-arrow">
            Все объявления
          </flink>
        </div>

        <ul class="topOffers-list">
          <li
            v-for="(item, index) in 3"
            :key="`top-${index}`"
            class="topOffers-item">
            <div class="topOffers-info">
              <flink
                href="#"
                class="link">
                АДАМС-МОТОРС - {{ item }}
              </flink>
              <div class="topOffers-price">1 500 ₽</div>
              <div class="topOffers-city">
                <span>Новосибирск</span>
                <span class="__gray">Сегодня</span>
              </div>
            </div>

            <div class="topOffers-logo">
              <div class="picture">
                <img
                  src="~/assets/images/tmp/seller.png"
                  alt="">
              </div>
            </div>
          </li>
        </ul>

        <!-- кнопка загрузки прайса -->
        <AddPriceButton
          :auth="auth"
          @showAuthModal="showAuthModal"
          class="topOffers-button"/>
      </div>
    </section>

    <section
      v-if="!isMobile()"
      class="gaAbout">
      <div class="heading _h1">
        Все о ГисАвто за 48 секунд
      </div>
      <div class="gaAbout-video">
        <iframe
          width="100%"
          height="100%"
          src="https://www.youtube.com/embed/A89VPJxvMD8"
          frameborder="0"
          allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture"
          allowfullscreen/>
      </div>
    </section>
  </div>
</template>

<script>
import { mapState } from 'vuex';
import {
  mapValues,
  pickBy,
  isNil,
  transform,
  has,
} from 'lodash-es';

import {
  // PartCondition,
  MerchantType,
  ImagesPresence,
  // Placement,
} from '~/assets/js/enums/contract-parts-grpc';

import { range } from '~/assets/js/funcs';

import Header from '~/assets/js/mixins/redesign/header';
import isMobileMixin from '~/assets/js/mixins/is-mobile';
import DoRouteParamsPrefixMapping from '~/assets/js/model/do/route-params-prefixes';
import DoInitialFiltersModel from '~/assets/js/model/do/initial-filters-model';
import DoCriteriaRoutingGroups from '~/assets/js/model/do/criteria-routing-groups';

import AppButton from '~/components/redesign/app-buttons/app-button';
import AppSelect from '~/components/redesign/app-select/app-select';
import AppSearch from '~/components/redesign/app-search/app-search';
import AppSearchDo from '~/components/redesign/app-search/app-search-do';
import AppSearchVin from '~/components/redesign/app-search/app-search-vin';
import AppCheckbox from '~/components/redesign/app-input/app-checkbox';
import AppRadioGroup from '~/components/redesign/app-input/app-radio-group';
import AddPriceButton from '~/components/redesign/app-buttons/app-button-add-price';
import AppTooltipVinExample from '~/components/redesign/app-tooltip/app-tooltip-vin-example';
import AppUserActions from '~/components/redesign/app-user/app-user-actions';
import InputPartName from '~/components/redesign/app-input/app-input-part-name';
import Carousel from '~/components/redesign/carousel';

import SeoMixin from '~/assets/js/mixins/seo/base';
import SeoPageMixin from '~/assets/js/mixins/seo/pages/main/index';

export default {
  name: 'Main',
  components: {
    AppTooltipVinExample,
    AppRadioGroup,
    AppCheckbox,
    AppSearch,
    AppSearchDo,
    AppSearchVin,
    AppSelect,
    AppButton,
    AddPriceButton,
    AppUserActions,
    InputPartName,
    Carousel,
  },
  mixins: [Header, isMobileMixin, SeoMixin, SeoPageMixin],
  layout: 'index',
  // TODO: вынести всю логику кз и винзапроса в компоненты
  async asyncData({ app, store }) {
    const currentLocation = store.state.location.id ? { ...store.state.location } : null;
    const doFiltersModel = {
      ...DoInitialFiltersModel,
      city: currentLocation,
    };

    try {
      const [
        { data: carManufacturerValues },
        { data: doFiltersValues },
        {
          data: {
            citiesTotal,
            itemsTotal,
            sellersTotal,
          },
        },
        { data: ppkTree },
      ] = await Promise.all([
        app.$axios.$get('/_main/carManufacturer/list', { params: { hasModels: 1 } }),
        app.$axios.$get('/_main/contractParts/filters', { params: { city: currentLocation && currentLocation.id } }),
        app.$axios.$get('/_main/info/counters'),
        app.$axios.$get('/_main/partCategories/getTree'),
      ]);
      return {
        citiesTotal,
        itemsTotal,
        sellersTotal,
        carManufacturerValues,
        doFiltersValues,
        doFiltersModel,
        ppkTree,
      };
    } catch (e) {
      console.log(e);
    }

    return {
      citiesTotal: 0,
      itemsTotal: 0,
      sellersTotal: 0,
      carManufacturerValues: [],
      doFiltersValues: {
        carManufacturer: [],
        carModel: [],
        yearsList: [],
        chassisList: [],
        enginesList: [],
        city: [],
      },
      doFiltersModel,
      ppkTree: [],
    };
  },
  data() {
    return {
      activeTab: 'originals',
      modelValues: [],
      manufacturer: null,
      model: null,
      year: null,
      vin: null,
      partName: {
        id: null,
        name: null,
      },
      ref: {
        ImagesPresence,
        MerchantType,
      },
    };
  },
  computed: {
    ...mapState(['navigation', 'domain']),
    burgerMenu() {
      return ['burgerMenu', '_transparent', '_none-round'];
    },
    yearsRange() {
      return range(1970, Number(new Date().getFullYear()))
        .reverse()
        .map(item => ({ name: item }));
    },
    doApiParams() {
      return mapValues(
        pickBy(
          this.doFiltersModel,
          (value, key) => !isNil(value)
            && (!Array.isArray(value) || value.length)
            && [
              'carManufacturer',
              'carModel',
              'enginesList',
              'chassisList',
              'yearsList',
              'city',
              'text',
              'merchantType',
              'imagesPresence',
            ].includes(key),
        ),
        (value, key) => {
          switch (key) {
            case 'text':
            case 'merchantType':
            case 'imagesPresence':
              return value;
            case 'yearsList':
              return [value.id];
            case 'enginesList':
            case 'chassisList':
              return value.slug;
            default:
              return Number(value.id);
          }
        },
      );
    },
  },
  watch: {
    async manufacturer(newValue) {
      this.model = null;
      this.year = null;
      this.modelValues = [];
      if (newValue && newValue.id) {
        try {
          this.modelValues = await this.$axios.$get('/_main/carModel/getByManufacturerId', {
            params: { manufacturerId: newValue.id },
          }).then(({ data }) => data);
        } catch (e) {
          console.error(e);
        }
      }
    },
    doFiltersModel: {
      async handler() {
        try {
          const { data: { total, ...filtersValues } } = await this.$axios.$get('/_main/contractParts/filters', {
            params: this.doApiParams,
          });
          this.doFiltersValues = filtersValues;
        } catch (e) {
          console.log(e);
        }
      },
      deep: true,
    },
  },
  methods: {
    isActiveTab(tab) {
      return this.activeTab === tab;
    },
    onChangeTab(tab) {
      if (!tab) {
        return;
      }
      this.manufacturer = null;
      this.activeTab = tab;
      this.model = null;
      this.modelValues = [];
      this.year = null;
    },
    vinQuery() {
      this.$router.push({
        path: '/request-to-spare',
        query: {
          manufacturer: (this.manufacturer && this.manufacturer.slug) || undefined,
          model: (this.model && this.model.slug) || undefined,
          partNameId: (this.partName && this.partName.id) || undefined,
          partName: (this.partName && !this.partName.id && this.partName.name) || undefined,
          year: (this.year && this.year.name) || undefined,
          vin: this.vin || undefined,
        },
      });
    },
    doSearch() {
      const params = mapValues(
        pickBy(this.doApiParams, (value, key) => DoCriteriaRoutingGroups.params.includes(key)),
        (value, key) => `${DoRouteParamsPrefixMapping[key]}${this.doFiltersModel[key].slug}`,
      );
      if (!params.city) {
        params.city = `${DoRouteParamsPrefixMapping.city}all_city`;
      }

      const query = transform(
        pickBy(this.doApiParams, (value, key) => has(DoCriteriaRoutingGroups.query, key)),
        (result, value, key) => { result[DoCriteriaRoutingGroups.query[key]] = value; },
        {},
      );

      this.$router.push({
        name: 'do-part',
        params,
        query,
      });
    },
    onChangeDoImagesPresence() {
      const newValue = this.doFiltersModel.imagesPresence === ImagesPresence.IMAGES_PRESENT
        ? ImagesPresence.IMAGES_ANY
        : ImagesPresence.IMAGES_PRESENT;
      this.doFiltersModel.imagesPresence = newValue;
    },
    doFilterChange(value = null, filter) {
      let emitting = { ...this.doFiltersModel, [filter]: value };
      if (value === null) {
        switch (filter) {
          case 'carManufacturer':
            emitting = {
              ...emitting,
              carModel: null,
              chassisList: null,
              enginesList: null,
              yearsList: [],
            };
            break;
          case 'carModel':
            emitting = {
              ...emitting,
              chassisList: null,
              enginesList: null,
              yearsList: [],
            };
            break;
          case 'city':
            emitting = {
              ...emitting,
              metro: null,
            };
            break;
          case 'merchantType':
            if (Number(value) === MerchantType.MERCHANT_PERSON) {
              emitting = {
                ...emitting,
                shop: null,
              };
            }
            break;
          default:
        }
      }
      this.doFiltersModel = emitting;
    },
    doFilterClear(filterName) {
      this.doFilterChange(null, filterName);
    },
  },
};

</script>

<style lang="postcss">
.mainPage {
  .stub-warning {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 40px;
    font-family: var(--font-heading);
    color: #fff;
    background-color: #f26a3f;
  }

  .svg > .svgAuto {
    fill: var(--bg-main);
  }
  .gaTop {
    padding: 0 3.25rem;
    height: auto;
    min-height: var(--current-vh-max);
    background-color: rgba(41, 77, 103, 1);
    background-image: url("~assets/svg/redesign/home-bg.jpg");
    background-repeat: no-repeat;
    background-position: center top;
    background-size: cover;

    &.grid-top {
      position: relative;
      display: grid;
      grid-template-columns: 15rem 1fr minmax(15rem, auto);
      grid-template-rows: auto 1fr minmax(5.125rem, auto);
      grid-template-areas: "logo menu actions" "content content content" "numbers numbers numbers";

      .area-logo {
        grid-area: logo;
      }
      .area-menu {
        grid-area: menu;
      }
      .area-actions {
        grid-area: actions;
      }
      .area-content {
        grid-area: content;
      }
      .area-numbers {
        grid-area: numbers;
      }
    }

    &-logo {
      display: block;
      padding-top: 1.75rem;

      .logo {
        display: block;

        &-img {
          display: block;
          width: 8.625rem;
          padding-bottom: 0.5rem;
          font-size: 0;
          .svg {
            width: 100%;
            height: auto;
          }
        }
        &-caption {
          display: block;
          font-size: 0.75rem;
          line-height: 1;
          color: var(--bg-main);
        }
      }

      .partitionSwitch {
        display: flex;
        margin-top: 1rem;
        width: 100%;
        height: 2.5rem;

        &-item {
          display: inline-flex;
          justify-content: center;
          align-items: center;
          padding: 0 1.25rem;
          height: 100%;
          font-family: var(--font-heading);
          font-size: 0.75rem;
          font-weight: var(--font-weight-medium);
          color: var(--bg-main);
          background-color: transparent;
          border: 1px solid var(--bg-main);

          &:first-of-type {
            border-bottom-left-radius: 1.25rem;
            border-top-left-radius: 1.25rem;
            border-right: none;
          }

          &:last-of-type {
            border-bottom-right-radius: 1.25rem;
            border-top-right-radius: 1.25rem;
            border-left: none;
            box-shadow: inset 0 1px 1px 0 rgba(255,255,255,1);
          }

          &.-active {
            color: var(--color-main);
            border-color: var(--color-yellow);
            background-color: var(--color-yellow);
            pointer-events: none;
          }
        }
      }
    }

    &-actions {
      display: flex;
      flex-direction: column;
      align-items: flex-end;
      padding-top: 0.625rem;

      &-group {
        position: relative;
        display: flex;
        justify-content: flex-end;
        align-items: center;
        height: 3.875rem;

        .button {
          position: relative;
          padding: 0 0.625rem;
          font-size: 0.875rem;
          font-weight: var(--font-weight-regular);
          color: var(--bg-main);
          &-item {
            display: inline-flex;
            align-items: center;

            .svgLocationMobile {
              display: none;
            }

            .svgLocation {
              position: absolute;
              top: 50%;
              left: -0.5rem;
              display: block;
              margin-top: -0.5625rem;
              width: 1rem;
              height: auto;
            }

            .svgArrowDown {
              flex-shrink: 0;
              margin-top: 0.125rem;
              margin-left: 0.375rem;
              width: 0.5rem;
              height: 0.3125rem;
              fill: var(--color-yellow);
            }
          }

          &.buttonLogin {
            justify-content: flex-end;
            padding: 0 1.25rem 0 0;
            width: 4.5rem;
          }
        }
      }

      .appCart {
        margin-left: 0.625rem;
        &-icon {
          padding-right: 0.75rem;
        }

        &-counter {
          bottom: auto;
          top: 0;
          left: 1.125rem;
          background-color: var(--color-yellow);
          color: var(--color-main);
        }

        &-amount {
          display: none;
        }
      }

      .buttonPrice {
        margin-top: auto;
        .buttonAddItem {
          height: 2.5rem;
          font-family: var(--font-heading);
          font-size: 0.75rem;
          font-weight: var(--font-weight-medium);
          border-radius: 1.25rem;
          background-color: var(--color-yellow);
        }
      }
    }

    &-menu {
      .menu {
        display: flex;
        justify-content: center;
        width: 100%;

        &-items {
          &._top,
          &._bottom {
            display: none;
          }
        }

        &-grid {
          display: flex;
          justify-content: center;
          align-items: center;
          padding-top: 1rem;

          &-item._catalogs {
            cursor: pointer;
            .partsCatalogs {
              display: none;
            }
            &.-opened {
              .partsCatalogs {
                display: block;
                z-index: 200;
                top: 3.875rem;
                border-radius: 0.25rem;
              }
              .menu-section {
                color: #28405C;
                border-top-left-radius: 0.25rem;
                border-top-right-radius: 0.25rem;
                background-color: var(--bg-main);

                .svg {
                  fill: var(--color-yellow);
                  transform: rotate(180deg);
                }
              }
            }
          }
        }

        &-section {
          display: inline-flex;
          justify-content: center;
          align-items: center;
          padding: 0.875rem 1rem;
          font-size: 1rem;
          color: var(--bg-main);
          white-space: nowrap;

          .svg {
            flex-shrink: 0;
            margin-top: 0.125rem;
            margin-left: 0.375rem;
            width: 0.5rem;
            height: auto;
            fill: var(--bg-main);
          }
        }
      }
    }

    &-content {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
    }

    &-heading {
      display: block;
      text-align: center;

      .heading._h1 {
        padding-top: 1rem;
        font-size: 1.75rem;
        font-weight: var(--font-weight-medium);
        color: var(--bg-main);
      }

      .heading._h2 {
        padding-top: 0.75rem;
        font-size: 1.125rem;
        color: var(--color-yellow);
      }
    }

    &-forms {
      padding-top: 2.5rem;
      width: 100%;
      max-width: 56.25rem;
      height: 16rem;

      .tabsForms {
        display: flex;
        padding: 0 0.75rem;
        &-item {
          display: inline-flex;
        }
        &-button {
          display: inline-flex;
          justify-content: center;
          align-items: center;
          padding: 0 0.75rem;
          height: 2.25rem;
          font-size: 1rem;
          color: var(--bg-main);
          background: none;
          border: none;
          outline: none;
          border-top-left-radius: 0.25rem;
          border-top-right-radius: 0.25rem;
          cursor: pointer;

          &.-active {
            background-color: rgba(255,255,255,0.2);
            pointer-events: none;
          }
        }
      }

      .formPanel {
        display: block;
        width: 100%;

        &-item {
          display: flex;
          align-items: center;
          min-height: 2.5rem;
          width: 100%;
        }

        .link {
          cursor: pointer;
        }

        .appSearch {
          max-width: none;
          height: var(--main-input-height);

          .button {
            width: 9.75rem;
            font-size: 1rem;

            .svg {
              display: none;
            }

            .svg.magnifier-home {
              display: block;
              width: 1.5rem;
              height: auto;
              margin-right: 0.625rem;
            }
          }

          .input-field {
            padding-right: 10.25rem;
            height: var(--main-input-height);
            box-shadow: none;
            background-color: var(--bg-main);
            border-color: var(--bg-main);
          }

          .multiselect {
            position: absolute;
            z-index: 3;
            top: 0;
            right: 9.75rem;
            width: 10.5rem;
          }

          .suggestions {
            margin-top: 0;
            width: calc(100% - 9.75rem);
            color: var(--color-main);
            border-top: 1px solid var(--border-color-main);
          }

          &._home-analogs {
            .input-field {
              padding-right: 21rem;
            }
            .suggestions {
              width: calc(100% - 20.25rem);
            }
          }

          &._home-vin-request {
            .suggestions {
              width: calc(100% - 11rem);
            }
          }
        }

        .groupRadio,
        .inputCheck-label {
          color: var(--bg-main);
          font-size: 0.875rem;
        }

        .inputCheck-label {
          padding-top: 0;
          line-height: 1rem;
        }

        .inputCheck-box.input-field {
          margin-left: -1.375rem;
          width: 1rem;
          height: 1rem;
          min-height: 1rem;

          .svg {
            margin: 0.1875rem 0 0 0.125rem;
            width: 0.625rem;
            height: auto;
          }
        }

        /*  Alex_Czech reset style for ios*/
        & .inputRadioGroup-field {
          border: none;
          background-color: transparent;
        }

        & .input-field.inputRadioGroup-box {
          margin-left: -1.375rem;
        }

        & .inputRadioGroup-label {
          padding-top: 0;
        }

        .multiselect {
          min-width: auto;
          &:after {
            content: "";
            position: absolute;
            z-index: 1;
            top: 0.625rem;
            bottom: 0.625rem;
            left: 0;
            display: block;
            width: 1px;
            background-color: var(--border-color-main);
          }

          &__content-wrapper {
            border-top: 1px solid var(--border-color-main);
          }

          &._city {
            .multiselect__content-wrapper {
              width: 20.25rem;
            }
          }
        }

        .selectGroup {
          width: 100%;
          z-index: 101; // TODO: убрать после решения проблемы с z-index

          .input {
            min-width: 40%;
            &-field {
              height: var(--main-input-height);
              border-color: var(--bg-main);
              box-shadow: none;
              border-top-left-radius: 0;
              border-bottom-left-radius: 0;
            }

            &:after {
              content: "";
              position: absolute;
              z-index: 1;
              top: 0.625rem;
              bottom: 0.625rem;
              left: 0;
              display: block;
              width: 1px;
              background-color: var(--border-color-main);
            }
          }
        }

        &._request {
          .formPanel-item + .formPanel-item {
            margin-top: 1.25rem;

            .input-field {
              padding-right: 11.75rem;
            }

            .button {
              position: absolute;
              z-index: 3;
              top: 0;
              bottom: 0;
              right: 0;
              height: 100%;
              min-width: 11rem;
              font-size: 1rem;
            }
          }

          .formPanel-item {
            position: relative;

            .vinExample._main-page {
              position: absolute;
              right: -1.75rem;
              top: 1.25rem;

              .buttonQuestion {
                .svg {
                  fill: var(--bg-main);
                  stroke: var(--bg-main);
                }
              }
            }
          }

          .link {
            margin: 0 0 auto 0;
            font-size: 0.875rem;
            color: var(--bg-main);

            .svg {
              margin-right: 0.5rem;
              stroke: var(--bg-main);
              stroke-width: 1.5;
            }
          }
        }
      }
    }

    &-menuMobile {
      display: none;
    }

    &-numbers {
      .factsNumbers {
        display: flex;
        justify-content: center;

        &-item {
          display: inline-flex;
          align-items: center;
          padding: 0 2.8125rem;
          font-size: 0.75rem;
          color: var(--bg-main);
          @media only screen and ( max-width: 420px ) {
            margin-bottom: 1.25rem;
          }
        }

        &-img {
          margin-right: 1rem;
        }

        &-number {
          display: block;
          font-family: var(--font-heading);
          font-size: 1.25rem;
          font-weight: var(--font-weight-bold);
          white-space: nowrap;
        }
      }
    }
  }

  .gaCatalogs {
    display: block;
    margin: 0 auto;
    padding: 3.375rem 3.25rem 0;
    width: 100%;
    min-width: 20rem;
    max-width: 85.375rem;

    &-list {
      display: flex;
      justify-content: space-between;
      margin: 0 -0.75rem;
      padding: 1.5rem 0;
      height: 12.5rem;

      &-item {
        display: inline-flex;
        justify-content: center;
        align-items: center;
        margin: 0 0.75rem;
        width: 50%;
        box-shadow: none;
      }

      &-name {
        display: block;
        padding-left: 2rem;
        width: 17.5rem;
        font-size: 1.125rem;
        font-weight: var(--font-weight-medium);
        text-transform: uppercase;
        color: var(--color-main);
      }
    }

    .heading {
      text-align: center;
      font-size: 1.5rem;
      font-weight: var(--font-weight-semi-bold);
    }

    .buttonLight {
      font-size: 0.875rem;
      height: var(--btn-height-regular);
    }
  }

  .gaCategories {
    margin: 0 auto;
    padding: 3.75rem 3.25rem;
    width: 100%;
    min-width: 20rem;
    max-width: 85.375rem;
    &-item {
      position: relative;
      display: flex;
      flex-direction: column;
      justify-content: flex-start;
      align-items: flex-start;
      margin: 0 1rem;
      padding: 2.5rem 1.875rem;
      height: 12rem;
      width: 100%;
      border-radius: 0.25rem;
      background-position-x: center;
      background-position-y: top;
      background-size: cover;
      background-repeat: no-repeat;
      cursor: pointer;

      &-shadow {
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 50%;
        background-image: linear-gradient(to bottom, rgba(205, 205, 205, 0) 0%, rgba(147, 147, 147, 0.8) 100%);
        opacity: 0.8;
        transition: opacity 0.3s var(--transition-easeOutQuad);
      }
      &:hover {
        .gaCategories-item-shadow {
          opacity: 0;
        }
      }

      &.id1 {
        background-image: url('~assets/images/ppk-groups/1.png')
      }

      &.id2 {
        background-image: url('~assets/images/ppk-groups/2.png')
      }

      &.id3 {
        background-image: url('~assets/images/ppk-groups/3.png')
      }

      &.id4 {
        background-image: url('~assets/images/ppk-groups/4.png')
      }

      &.id5 {
        background-image: url('~assets/images/ppk-groups/5.png')
      }

      &.id6 {
        background-image: url('~assets/images/ppk-groups/6.png')
      }

      &.id7 {
        background-image: url('~assets/images/ppk-groups/7.png')
      }

      &.id8 {
        background-image: url('~assets/images/ppk-groups/8.png')
      }

      &.id9 {
        background-image: url('~assets/images/ppk-groups/9.png')
      }

      &.id10 {
        background-image: url('~assets/images/ppk-groups/10.png')
      }

      &.id11 {
        background-image: url('~assets/images/ppk-groups/11.png')
      }

      &.id12 {
        background-image: url('~assets/images/ppk-groups/12.png')
      }

      &.id13 {
        background-image: url('~assets/images/ppk-groups/13.png')
      }

      &.id14 {
        background-image: url('~assets/images/ppk-groups/14.png')
      }

      &.id15 {
        background-image: url('~assets/images/ppk-groups/15.png')
      }

      &.id16 {
        background-image: url('~assets/images/ppk-groups/16.png')
      }

      &.id17 {
        background-image: url('~assets/images/ppk-groups/17.png')
      }

      &.id18 {
        background-image: url('~assets/images/ppk-groups/18.png')
      }

      &.id19 {
        background-image: url('~assets/images/ppk-groups/19.png')
      }

      &.id20 {
        background-image: url('~assets/images/ppk-groups/20.png')
      }

      &.id21 {
        background-image: url('~assets/images/ppk-groups/21.png')
      }

      &.id23 {
        background-image: url('~assets/images/ppk-groups/23.png')
      }

      &.id24 {
        background-image: url('~assets/images/ppk-groups/24.png')
      }

      &-name {
        position: relative;
        display: block;
        font-family: var(--font-heading);
        font-weight: var(--font-weight-medium);
        font-size: 1.5rem;
        color: var(--bg-main);
      }
    }
  }

  .gaTopBlocks {
    display: flex;
    margin: 0 auto;
    padding: 3.375rem 3.25rem;
    width: 100%;
    min-width: 20rem;
    max-width: 1366px;

    .topSellers {
      display: flex;
      flex-direction: column;
      padding: 1.875rem;
      width: 37%;

      &-list {
        padding-top: 0.625rem;
      }

      &-item {
        display: flex;
        justify-content: space-between;
        align-items: flex-start;
        padding-top: 1rem;
        width: 100%;
        font-size: 0.75rem;

        .link {
          display: block;
          padding-bottom: 0.375rem;
          font-weight: var(--font-weight-bold);
        }
      }

      &-logo {
        display: block;
        margin-left: 1rem;
        padding: 0.25rem;
        width: 3rem;
        background-color: var(--bg-main);
        border: 1px solid var(--border-color-main);

        .picture {
          padding-top: 2.5rem;

        }
      }

      .button {
        margin: 2rem 0 0 auto;
      }
    }

    .topOffers {
      display: block;
      padding: 1.875rem 0 1.875rem 3.25rem;
      width: 63%;

      &-title {
        display: flex;

        .link {
          margin-left: auto;
          font-size: 0.75rem;
        }
      }

      &-list {
        padding-top: 0.625rem;
      }

      &-item {
        display: flex;
        justify-content: space-between;
        align-items: flex-end;
        padding-top: 1.25rem;
        width: 100%;
        font-size: 0.875rem;
      }

      &-info {
        display: block;
        padding-bottom: 1.25rem;
        width: 100%;
        border-bottom: 1px solid var(--border-color-main);

        .link {
          display: block;
          padding-bottom: 0.375rem;
          font-weight: var(--font-weight-bold);
        }
      }

      &-price {
        display: block;
        padding: 0.5rem 0;
        font-family: var(--font-heading);
        font-size: 1.25rem;
        line-height: 1;
        font-weight: var(--font-weight-extra-bold);
      }

      &-city {
        display: flex;
        justify-content: space-between;
        padding-top: 0.5rem;
        font-size: 0.75rem;
      }

      &-logo {
        flex-shrink: 0;
        display: block;
        margin-left: 1rem;
        padding: 0.25rem;
        width: 7rem;
        background-color: var(--bg-main);
        border: 1px solid var(--border-color-main);

        .picture {
          padding-top: 7rem;
        }
      }

      &-button {
        display: block;
        margin: 2rem 0 0 auto;
        text-align: right;

        .button {
          border-radius: 0.25rem;
        }
      }
    }
  }

  .gaAbout {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    padding: 4rem 0;
    height: 41.563rem;
    background-color: rgba(236, 244, 249, 1);
    background-image:
      url("~assets/svg/redesign/home-video-bg.jpg"),
      radial-gradient(663.79px at 27.42% 100%, #FFFFFF 0%, #E8F1F7 100%);
    background-position: auto, center;
    background-repeat: no-repeat;

    .heading {
      margin-bottom: 2.5rem;
      text-align: center;
      font-size: 1.5rem;
      font-weight: var(--font-weight-semi-bold);
    }

    &-video {
      width: 53.125rem;
      height: 28.75rem;
      box-shadow: 0 0 2.25rem rgba(51, 85, 109, 0.75);
    }
  }

  @media (max-width: 1365px) and (min-width: 1201px) {
    /* В этом разрешении стоит временный костыль в default layout на body, zoom: 85% */
    .gaTop {
      &.grid-top {
        grid-template-rows: auto 1fr minmax(5.7rem, auto);
      }
    }
  }


  @media screen and (min-width: 981px) {
    .menu {
      & .menu-grid-item._categories {
        display: none;
      }
    }
  }

  @media (max-width: 1200px) and (min-width: 981px) {
    .gaTop {
      &.grid-top {
        grid-template-columns: 50% 50%;
        grid-template-rows: auto auto 1fr minmax(5.125rem, auto);
        grid-template-areas: "logo actions" "menu menu" "content content" "numbers numbers";
      }

      &-menu {
        padding-top: 1.25rem;

        .menu {
          position: relative;

          &-grid-item {
            .partsCatalogs {
              left: -3.25rem;
              right: -3.25rem;
            }
          }
        }
      }

      &-forms {
        padding-top: 2.5rem;
      }
    }

    .gaTopBlocks {
      .button {
        height: var(--btn-height-regular);
      }
    }

    .gaCategories-item {
      padding-top: 3vw;
      height: 14vw;
      &-name {
        font-size: 1.25rem;
      }
    }
  }

  @media screen and (max-width: 980px) {
    .gaTop {
      padding: 0;
      background-position: 28% top;

      &.grid-top {
        display: flex;
        flex-direction: column;
      }

      &-logo, &-actions {
        display: none;
      }

      &-menu {
        .menu {
          display: flex;
          justify-content: flex-start;

          &-items {
            width: 0;
            height: 0;
            visibility: hidden;

            &._top  {
              display: flex;
              flex-wrap: wrap;
              align-items: center;
              flex-shrink: 0;
              padding: 1.375rem 0;
              width: 100%;
              height: 4.375rem;
              visibility: visible;

              .burgerMenu {
                padding: 0 1.375rem 0 1.25rem;
                height: 4.375rem;
                .svg {
                  fill: var(--bg-main);
                  opacity: 0.6;
                }
              }

              .buttonLocation {
                margin-left: auto;
                max-width: calc(100vw - 7rem);
                font-size: 1.125rem;
                text-align: left;
                color: var(--color-main-lightest);
                .svg {
                  flex-shrink: 0;
                  margin-right: .625rem;
                }
              }

              .logo-img {
                padding: 0;
              }

              .partitionSwitch {
                display: flex;
                padding: 0;
                width: 100%;
                border-top: 1px solid var(--border-color-main);
                border-bottom: 1px solid var(--border-color-main);

                &-item {
                  display: inline-flex;
                  flex-direction: column;
                  align-items: center;
                  justify-content: center;
                  padding: 0 1.25rem;
                  width: 33.333%;
                  height: 5.5rem;
                  font-size: 0.75rem;
                  color: var(--color-main);

                  .svg {
                    flex-shrink: 0;
                    display: block;
                    margin-bottom: 0.5rem;
                    width: 2.375rem;
                    height: auto;
                    fill: var(--color-main);
                  }

                  &.-active {
                    background-color: var(--btn-bg);
                  }
                }
              }
            }

            &._bottom {
              flex-direction: column;
              .appCart {
                padding: 2rem 1.125rem 2.75rem 1.125rem;
                width: 100%;
              }
            }
          }

          &-grid {
            flex-direction: column;
            padding-top: 0;
            width: 100%;

            &-item {
              width: 100%;
              &._catalogs {
                display: none;
              }
            }
          }

          &-section {
            justify-content: flex-start;
            margin-bottom: 0;
            padding: 1.375rem 1.25rem;
            width: 100%;
            font-size: 0.875rem;
            font-weight: var(--font-weight-medium);
            color: var(--color-main);
            border-bottom: 1px solid var(--border-color-main);
          }

          &-footer {
            display: flex;
            align-items: stretch;
            justify-content: center;
            flex-direction: column;
            flex-shrink: 0;
            padding: 0.5rem 1.125rem calc(0.5rem + var(--mobile-browser-bar));
            width: 100%;
            min-height: 4rem;
            background-color: var(--bg-darktset);

            .buttonAddItem {
              margin-bottom: 1.25rem;
              height: var(--btn-mobile-min-height);
              width: calc(100vw - 2.5rem);
              font-size: 1.125rem;
              border-radius: .25rem;
            }

            .buttonLogin {
              padding: 0;
              min-height: 3.125rem;
              font-size: 1.125rem;
              color: var(--bg-main);
            }
          }

          &.-open {
            position: fixed;
            z-index: 900;
            top: 0;
            bottom: 0;
            left: 0;
            flex-direction: column;
            width: 100vw;
            min-width: 20rem;
            height: 100vh;
            overflow-y: auto;
            overflow-x: hidden;
            background-color: var(--bg-main);

            .menu-items {
              display: flex;
              padding: 0;
              width: 100%;
              height: auto;
              visibility: visible;

              &._top {
                .logo {
                  display: none;
                }

                .burgerMenu {
                  margin-right: auto;
                  .svg {
                    fill: var(--color-main-lightest);
                    opacity: 1;
                  }
                }
              }

              &._bottom {
                margin-top: auto;
              }
            }
          }
        }
      }

      &-heading {
        padding: 0 1.25rem;
        .heading._h1 {
          padding-top: 2rem;
          font-size: 1.25rem;
        }

        .heading._h2 {
          padding-top: 0.625rem;
        }
      }

      &-forms {
        display: none;
      }

      &-menuMobile {
        display: block;
        width: 100%;

        .menuMobile {
          display: flex;
          flex-direction: column;
          margin: 0 auto;
          padding: 2rem 1.25rem 3.5rem;
          max-width: 25rem;

          &-item {
            display: flex;
            align-items: center;
            height: 5.625rem;
            font-size: 1.125rem;
            color: var(--bg-main);
            border-bottom: 1px solid var(--color-yellow);
            svg {
              flex-shrink: 0;
              width: 3.75rem;
              height: auto;
              margin-right: 1rem;
            }

            &:last-of-type {
              border-bottom: none;
            }
          }
        }
      }

      &-numbers {
        margin-top: auto;
        .factsNumbers {
          flex-wrap: wrap;
          padding-bottom: 1.5rem;

          &-item {
            flex-direction: column;
            padding: 0 4vw;
            width: 33.333%;
            max-width: 9rem;
            font-size: 0.875rem;
            text-align: center;
            white-space: nowrap;
          }

          &-img {
            height: 2.5rem;
            margin-right: 0;
          }

          &-number {
            font-size: 1.125rem;
            font-weight: var(--font-weight-bold);
          }
        }
      }
    }

    .gaCatalogs,
    .gaCategories,
    .gaTopBlocks,
    .gaAbout {
      display: none;
    }

    .stub-warning {
      padding-left: 20px;
      padding-right: 20px;
      height: 50px;
      font-size: 12px;
    }
  }

  @media screen and (max-width: 374px) {
    min-width: 20rem;

    .gaTop-menuMobile {
      .menuMobile {
        padding-top: 1.5rem;
      }
      .menuMobile-item {
        font-size: 1rem;
        height: 4.5rem;
        svg {
          width: 3rem;
        }
      }
    }
    .gaTop-heading .heading._h1 {
      padding-top: 1.5rem;
      font-size: 1.125rem;
    }
    .gaTop-heading .heading._h2 {
      font-size: 1rem;
    }
  }

}
</style>
